Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet
Class CAdminIntranet

    java.lang.Object
      org.esupportail.portal.utils.channels.MainChannel
          org.esupportail.portal.channels.CIntranet.CAdminIntranet

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.jasig.portal.IChannel, org.jasig.portal.IMimeResponse

public class CAdminIntranet
extends org.esupportail.portal.utils.channels.MainChannel

CAdminIntranet
Channel principale du canal d'administration des intranets
(c)Copyright ESup-Portail 2004

Version:
  1.2
Author:
  Mathieu Larchet

Constructor Summary
`CAdminIntranet()` Constructeur

Method Summary
`void` | `initServant(org.jasig.portal.IServant servant)` Méthode appelée lors de l'appel à un canal servant permettant de fixer des paramètres pour ce canal

Methods inherited from class org.esupportail.portal.utils.channels.MainChannel
`calcCurrentAction, clearChannelsMap, clearServantResults, downloadData, generateKey, getAction, getActionParam, getConfigActions, getContentType, getCurrentAction, getDefaultAction, getDefaultCacheKey, getDefaultCacheValid, getHeaders, getInputStream, getName, getPrefForm, getPrefParam, getPreviousAction, getRuntimeProperties, getServantResults, getStaticData, isCacheValid, isCurrentAction, isInCache, log, log, logConfigActions, logParams, receiveEvent, redirect, renderXML, reportDownloadError, setConfigActions, setDefaultAction, setRuntimeData, setStaticData, stack2html, stack2string`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CAdminIntranet

    public CAdminIntranet()
                   throws org.jasig.portal.PortalException

  Constructeur

Throws:
  `org.jasig.portal.PortalException`

Method Detail

### initServant

    public void initServant(org.jasig.portal.IServant servant)
                     throws org.jasig.portal.PortalException

  Méthode appelée lors de l'appel à un canal servant
  permettant de fixer des paramètres pour ce canal

  Throws:
    `org.jasig.portal.PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD